/********************************************

    cconfig -  config  library  for
     cserver
    David Marquez Hernandez  - 2016
    TFG UOC - Redes de Computadores
    Profesor  - Jesús Arribi Vilela

*********************************************/

#ifndef CCONFIG_H_INCLUDED
#define CCONFIG_H_INCLUDED

#include <stdio.h>
#include <stdlib.h>
#include <getopt.h>
#include <ctype.h>
#include <unistd.h>
#include "../clogger/clogger.h"

#define DEFAULTPORT 1080
#define DEFAULTWWWROOT "./www/"
#define DEFAULTMAXCONCURRENCY 1000
#define DEFAULTLOGGING 0

typedef struct config {
    int port;
    char www_root[512];
    int logging;
    int max_concurrency;
} cconfig;

int cconfig_init(cconfig *config,int argc, char **argv);
int cconfig_cmdline(cconfig *config,int argc, char **argv);
void cconfig_show_usage(void);
void cconfig_show_config(cconfig *config);


#endif // CCONFIG_H_INCLUDED
